%% LOAD THE DATA
dat = csvread('ecb_shipping.csv', 1, 0);

%-- dates are first three columns
yrs 	= dat(:, 1);
mos 	= dat(:, 2);
dys 	= dat(:, 3);
dates 	= datetime(yrs, mos, dys);

%-- the four series are in levels. transform them to logs
wti_level 			= dat(:, 4);
imports_level 		= dat(:, 5);
cpce_index 			= dat(:, 6);
cpce_yryr			= dat(:, 7);
cpce_index_oct16 	= dat(:, 8);
harpex_level 		= dat(:, 9);

wti 	= 100 * log(wti_level);
imports = 100 * log(imports_level);
harpex 	= 100 * log(harpex_level);

if strcmp(vintage, 'latest')
	cpce = 100 * log(cpce_index);

elseif strcmp(vintage, 'oct16')
	
	if strcmp(sample, 'full_sample')
		error('If using Oct-16 vintage of data, `sample` must be `replication`')
	end
	cpce = 100 * log(cpce_index_oct16);

else
	error('Unrecognized value for `vintage`: %s', vintage)

end